UpdateMemberRole

PATCH/auth/v1/memberships/{user.org_id}/members/{user_id}/role

Path Parameters

user.org_id*org_id

The user.org_id path parameter.

user_id*user_id

The user_id path parameter.

Request Body

required
application/json
{
  "type": "object",
  "properties": {
    "role": {
      "allOf": [
        {
          "$ref": "#/components/schemas/auth.v1.MembershipRole",
          "$ref-value": {
            "type": "string",
            "title": "MembershipRole",
            "enum": [
              "MEMBERSHIP_ROLE_UNSPECIFIED",
              "MEMBERSHIP_ROLE_OWNER",
              "MEMBERSHIP_ROLE_ADMIN",
              "MEMBERSHIP_ROLE_MEMBER"
            ]
          }
        }
      ],
      "title": "role"
    }
  },
  "title": "UpdateMemberRoleRequest",
  "additionalProperties": false
}
role?object

Response Body

200application/json

Success

type: unknown

{
  "$ref": "#/components/schemas/auth.v1.MembershipMutation",
  "$ref-value": {
    "type": "object",
    "properties": {
      "user_id": {
        "type": "string",
        "title": "user_id"
      },
      "org_id": {
        "type": "string",
        "title": "org_id"
      },
      "role": {
        "allOf": [
          {
            "$ref": "#/components/schemas/auth.v1.MembershipRole",
            "$ref-value": {
              "type": "string",
              "title": "MembershipRole",
              "enum": [
                "MEMBERSHIP_ROLE_UNSPECIFIED",
                "MEMBERSHIP_ROLE_OWNER",
                "MEMBERSHIP_ROLE_ADMIN",
                "MEMBERSHIP_ROLE_MEMBER"
              ]
            }
          }
        ],
        "title": "role"
      },
      "state": {
        "allOf": [
          {
            "$ref": "#/components/schemas/auth.v1.MembershipState",
            "$ref-value": {
              "type": "string",
              "title": "MembershipState",
              "enum": [
                "MEMBERSHIP_STATE_UNSPECIFIED",
                "MEMBERSHIP_STATE_ACTIVE",
                "MEMBERSHIP_STATE_SUSPENDED",
                "MEMBERSHIP_STATE_LEFT",
                "MEMBERSHIP_STATE_REMOVED"
              ]
            }
          }
        ],
        "title": "state"
      },
      "org_name": {
        "type": "string",
        "title": "org_name"
      },
      "joined_at": {
        "allOf": [
          {
            "$ref": "#/components/schemas/google.protobuf.Timestamp",
            "$ref-value": {
              "type": "string",
              "examples": [
                "2023-01-15T01:30:15.01Z",
                "2024-12-25T12:00:00Z"
              ],
              "format": "date-time",
              "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
            }
          }
        ],
        "title": "joined_at"
      }
    },
    "title": "MembershipMutation",
    "additionalProperties": false
  }
}
curl -X PATCH "https://api.rixl.com/auth/v1/memberships/string/members/string/role" \
  -H "Content-Type: application/json" \
  -d '{}'

Success

application/json

{
  "$ref": "#/components/schemas/auth.v1.MembershipMutation",
  "$ref-value": {
    "type": "object",
    "properties": {
      "user_id": {
        "type": "string",
        "title": "user_id"
      },
      "org_id": {
        "type": "string",
        "title": "org_id"
      },
      "role": {
        "allOf": [
          {
            "$ref": "#/components/schemas/auth.v1.MembershipRole",
            "$ref-value": {
              "type": "string",
              "title": "MembershipRole",
              "enum": [
                "MEMBERSHIP_ROLE_UNSPECIFIED",
                "MEMBERSHIP_ROLE_OWNER",
                "MEMBERSHIP_ROLE_ADMIN",
                "MEMBERSHIP_ROLE_MEMBER"
              ]
            }
          }
        ],
        "title": "role"
      },
      "state": {
        "allOf": [
          {
            "$ref": "#/components/schemas/auth.v1.MembershipState",
            "$ref-value": {
              "type": "string",
              "title": "MembershipState",
              "enum": [
                "MEMBERSHIP_STATE_UNSPECIFIED",
                "MEMBERSHIP_STATE_ACTIVE",
                "MEMBERSHIP_STATE_SUSPENDED",
                "MEMBERSHIP_STATE_LEFT",
                "MEMBERSHIP_STATE_REMOVED"
              ]
            }
          }
        ],
        "title": "state"
      },
      "org_name": {
        "type": "string",
        "title": "org_name"
      },
      "joined_at": {
        "allOf": [
          {
            "$ref": "#/components/schemas/google.protobuf.Timestamp",
            "$ref-value": {
              "type": "string",
              "examples": [
                "2023-01-15T01:30:15.01Z",
                "2024-12-25T12:00:00Z"
              ],
              "format": "date-time",
              "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
            }
          }
        ],
        "title": "joined_at"
      }
    },
    "title": "MembershipMutation",
    "additionalProperties": false
  }
}